Batch Lookup
Look up backlinks for up to 50 domains in a single request.
POST /v1/batch
Looks up backlinks for up to 50 domains in a single request. Costs 2 credits per domain.
Request body
{
"domains": ["example.com", "github.com", "stripe.com"]
}Request
curl -X POST "https://api.rankparse.com/v1/batch" \
-H "X-API-Key: rp_your_key" \
-H "Content-Type: application/json" \
-d '{"domains": ["example.com", "github.com"]}'Response
{
"data": [
{
"domain": "example.com",
"success": true,
"data": [...],
"total": 1234
},
{
"domain": "github.com",
"success": true,
"data": [...],
"total": 5678
}
],
"credits_used": 4,
"credits_remaining": 994
}Limits
- Maximum 50 domains per batch request
- Each domain costs 2 credits (only charged for successful lookups)
- Domains with no data return
success: truewith an emptydataarray